Enrich a memory item using registered enrichment routines.
Requires authentication and validates item ownership.
AuthorizationBearer <token>
Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).
In: header
Path Parameters
item_id*Item Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to enrich a memory item.
Response Body
application/json
application/json
curl -X POST "https://example.com/memory/string/enrich" \ -H "Content-Type: application/json" \ -d '{}'null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}